<template>
	<view class="content">
		<view class="head" v-if="token" @tap="navTo('/pageTwo/setting/setting')">
			<view class="left">
				<!-- <icon class="t-icon t-icon-nvtouxiang"></icon> -->
				<image :src="info.head_pic"></image>
				<text>{{info.nickname}}</text>
			</view>
			<view class="right">
				<uni-icons type="forward" size="20" color="#666"></uni-icons>
			</view>
		</view>
		<view class="list">
			<view class="item" @tap="navTo('/pageTwo/me/mymenu?pageName=我的菜谱')">
				<text>我的菜谱</text>
				<uni-icons type="forward" size="20" color="#666"></uni-icons>
			</view>
			<view class="item" @tap="navTo('/pageTwo/me/mymenu?pageName=我的收藏')">
				<text>我的收藏</text>
				<uni-icons type="forward" size="20" color="#666"></uni-icons>
			</view>
			<view class="item" @tap="navTo('/pageTwo/me/userEdit')">
				<text>个人资料</text>
				<uni-icons type="forward" size="20" color="#666"></uni-icons>
			</view>
			<view class="item" @tap="navTo('/pageTwo/me/record')">
				<text>饮食记录</text>
				<uni-icons type="forward" size="20" color="#666"></uni-icons>
			</view>
			<!-- <view class="item" @tap="navTo('/pageTwo/me/feedBack')">
				<text>联系客服</text>
				<uni-icons type="forward" size="20" color="#666"></uni-icons>
			</view> -->
		</view>

		<view class="btn " v-if="token" @click="handleOutLogin">退出登录</view>
		<view class=" btn" v-if="!token" @click="handleLogin">登录后查看更多</view>
	</view>
</template>

<script>
	import {
		mapState
	} from "vuex";
	export default {
		data() {
			return {
				token: null
			}
		},
		computed: {
			...mapState(["user"]),
			info() {
				return this.user
			},
		},
		onLoad() {
			let that = this
			that.token = uni.getStorageSync('token')
		},
		methods: {
			handleOutLogin() {
				let that = this
				uni.showModal({
					title: '友情提示',
					content: '是否退出登录？',
					success: function(res) {
						if (res.confirm) {
							that.$model.getloginOut({}).then((res) => {
								that.$tools.msg(res.message)
								if (res.code != 0) return
								that.token = null
								uni.setStorageSync('token', null)
								uni.clearStorageSync()
								uni.reLaunch({
									url: "/pageTwo/login/login"
								})
							})
						} else if (res.cancel) {
							that.$tools.msg("您已取消操作！");
						}
					},
				})
			},
			handleLogin(){
				uni.reLaunch({
					url:"/pageTwo/login/login"
				})
			},
			navTo(url) {
				if (!uni.getStorageSync('token')) {
					this.$tools.msg("登录后查看等多！")
					return
				}
				uni.navigateTo({
					url
				})
			},
		}
	}
</script>

<style scoped lang="scss">
	.content {
		padding: 0 15px;
		min-height: 100vh;
	}

	.head {
		width: 100%;
		height: 5rem;
		background: #fff;
		display: flex;
		align-items: center;
		border-radius: 10px;
		font-size: 16px;
		font-weight: bold;

		.left {
			width: calc(100% - 30px);
			display: flex;
			align-items: center;
		}

		image {
			width: 50px;
			height: 50px;
			margin: 0 15px;
		}
	}

	.btnlogin {
		color: #fff;
		margin: auto;
		padding: 8px 15px;
		background: $btncolor;
		border-radius: 5px;
		font-weight: 500 !important;
	}

	.list {
		width: 100%;
		background: #fff;
		margin: 15px;
		border-radius: 10px;
		line-height: 50px;

		.item {
			display: flex;
			justify-content: space-between;
			margin: 0 15px;
			border-bottom: 1px solid #f7f7f7;
		}
	}

	.btn {
		width: 100%;
		color: #fff;
	}
</style>